=== debian/control ===
Source: osmo-iuh
Section: libs
Priority: extra
Maintainer: Alexander Couzens <lynxis@fe80.eu>
Build-Depends: debhelper (>=9),
               dh-autoreconf,
               pkg-config,
               autoconf,
               automake,
               libtool,
               git,
               libasn1c-dev,
               libsctp-dev,
               libosmo-netif-dev,
               libosmocore-dev,
               libosmo-netif-dev,
               libosmo-sccp-dev,
               python (>= 2.7)
Standards-Version: 3.9.8
Vcs-Git: git://git.osmocom.org/osmo-iuh.git
Vcs-Browser: https://git.osmocom.org/osmo-iuh/
Homepage: https://projects.osmocom.org/projects/osmohnbgw

Package: osmo-hnbgw
Section: net
Architecture: any
Multi-Arch: no
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: osmocom Home Node B Gateway

Package: osmo-hnbgw-dbg
Section: debug
Architecture: any
Multi-Arch: no
Pre-Depends: ${misc:Pre-Depends}
Depends: osmo-hnbgw (= ${binary:Version}), ${misc:Depends}
Description: osmocom Home Node B Gateway

Package: libosmo-ranap0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Osmocom code for the Iuh interface (HNBAP, RUA, RANAP)

Package: libosmo-ranap-dbg
Section: debug
Architecture: any
Multi-Arch: same
Depends: libosmo-ranap0 (= ${binary:Version}), ${misc:Depends}
Description: Osmocom code for the Iuh interface (HNBAP, RUA, RANAP)

Package: libosmo-ranap-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libosmo-ranap0 (= ${binary:Version}), ${misc:Depends}
Description: Osmocom code for the Iuh interface (HNBAP, RUA, RANAP)
