=== debian/rules ===
#!/usr/bin/make -f

DEBIAN  := $(shell dpkg-parsechangelog | grep ^Version: | cut -d' ' -f2)
DEBVERS := $(shell echo '$(DEBIAN)' | cut -d- -f1)
VERSION := $(shell echo '$(DEBVERS)' | sed -e 's/[+-].*//' -e 's/~//g')

# main packaging script based on dh7 syntax
%:
	dh $@ --with autoreconf 

override_dh_autoreconf:
	echo $(VERSION) > .tarball-version
	dh_autoreconf

# See https://www.debian.org/doc/manuals/developers-reference/best-pkging-practices.html#bpp-dbg
override_dh_strip:
	dh_strip --dbg-package=libosmo-ranap-dbg
	dh_strip --dbg-package=osmo-hnbgw
