## osmo-iuh 0.2.0

=== debian/changelog ===
osmo-iuh (0.2.0-1) unstable; urgency=medium

  * Initial release.

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 19 Apr 2018 19:28:07 +0200
