=== debian/control ===
Source: osmo-iuh
Section: libs
Priority: optional
Maintainer: Thorsten Alteholz <debian@alteholz.de>
#Maintainer: Debian Mobcom Maintainers <Debian-mobcom-maintainers@lists.alioth.debian.org>
#Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper (>=11)
#	, dh-autoreconf
	, pkg-config
	, autoconf
	, automake
	, libtool
	, osmo-libasn1c-dev
	, libsctp-dev
	, libosmocore-dev
	, libosmo-netif-dev
	, libosmo-sigtran-dev (>= 0.8.0)
	, python (>= 2.7)
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/debian-mobcom-team/osmo-iuh
Vcs-Git: https://salsa.debian.org/debian-mobcom-team/osmo-iuh.git
Homepage: https://projects.osmocom.org/projects/osmohnbgw

Package: osmo-hnbgw
Section: net
Architecture: any
Multi-Arch: no
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: osmocom Home Node B Gateway
 An Open Source implenentation of a HNB-GW (HomeNodeB-Gateway),
 implementing the Iuh, IuCS and IuPS interfaces. It aggregates
 the Iuh links from femtocells (hNodeBs) and presents them as
 regular IuCS and IuPS towards MSC and SGSN (such as OsmoMSC
 and OsmoSGSN). It uses M3UA as signaling transport.

Package: libosmo-ranap1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Osmocom code for the Iuh interface (HNBAP, RUA, RANAP), library
 RANAP (an acronym for Radio Access Network Application Part) is a protocol
 specified by 3GPP in TS 25.413 and used in UMTS for signaling between the
 Core Network, which can be a MSC or SGSN, and the UTRAN. RANAP is carried
 over Iu-interface.
 .
 HNBAP is a control protocol found in Home Node B networks on the Iu-h
 interface.
 .
 This package provides the shared library.

Package: libosmo-ranap-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libosmo-ranap1 (= ${binary:Version}), ${misc:Depends}
Description: Osmocom code for the Iuh interface (HNBAP, RUA, RANAP), development
 RANAP (an acronym for Radio Access Network Application Part) is a protocol
 specified by 3GPP in TS 25.413 and used in UMTS for signaling between the
 Core Network, which can be a MSC or SGSN, and the UTRAN. RANAP is carried
 over Iu-interface.
 .
 HNBAP is a control protocol found in Home Node B networks on the Iu-h
 interface.
 .
 This package provides the development files.
