=== debian/rules ===
#!/usr/bin/make -f

#DEBIAN  := $(shell dpkg-parsechangelog | grep ^Version: | cut -d' ' -f2)
#DEBVERS := $(shell echo '$(DEBIAN)' | cut -d- -f1)
#VERSION := $(shell echo '$(DEBVERS)' | sed -e 's/[+-].*//' -e 's/~//g')

# main packaging script based on dh7 syntax
%:
	dh $@ --with autoreconf

#override_dh_autoreconf:
#	echo $(VERSION) > .tarball-version
#	dh_autoreconf

# Print test results in case of a failure
override_dh_auto_test:
	dh_auto_test || (find . -name testsuite.log -exec cat {} \; ; false)
