## osmo-iuh 0.3.0

=== debian/changelog ===
osmo-iuh (0.3.0-5) unstable; urgency=medium

  * debian/patches/fix_bigend_tests.patch:
    - Fix build and test suite on big endian architectures (Closes: #913634)

 -- Ruben Undheim <ruben.undheim@gmail.com>  Thu, 06 Dec 2018 21:54:14 +0100

osmo-iuh (0.3.0-4) unstable; urgency=low

  * Upload to unstable

 -- Ruben Undheim <ruben.undheim@gmail.com>  Mon, 05 Nov 2018 21:54:43 +0100

osmo-iuh (0.3.0-3) experimental; urgency=medium

  * debian/control:
    - Added myself as uploader
    - New standards version 4.2.1 - no changes
  * debian/gbp.conf: to enforce pristine-tar using gbp
  * debian/osmo-hnbgw.cfg:
    - Added simple but useful default configuration file.
      Install by default in /etc/osmocom/
  * debian/osmo-hnbgw.service:
    - Install service file with a documentation tag.
  * debian/patches/version.patch: Drop patch
  * debian/rules:
    - Enable hardening
    - Generate .tarball-version in override_dh_autoreconf and delete in
      override_dh_clean
    - Properly clean up in override_dh_clean
    - Do not start or enable systemd service at install automatically
  * debian/tests: Added autopkgtest verifying 'osmo-hnbgw -h'

 -- Ruben Undheim <ruben.undheim@gmail.com>  Tue, 02 Oct 2018 08:09:04 +0200

osmo-iuh (0.3.0-2) experimental; urgency=medium

  * add version.patch

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 19 Aug 2018 16:37:50 +0200

osmo-iuh (0.3.0-1) experimental; urgency=medium

  * New upstream release
  * debian/control: move to debian-mobcom as maintainer
  * debian/control: libosmocore >= 0.11.0 needed
  * debian/control: libosmo-netif >= 0.2.0 needed
  * debian/control: libosmo-sigtran >= 0.9.0 needed
  * debian/control: osmo-libasn1c-dev >= 0.9.30 needed
  * add reproducible-build.patch (Closes: #896529)
    (thanks to Chris Lamb for the patch)
    (this also Closes: #897352, #897345)

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 21 Jun 2018 19:37:50 +0200
