=== debian/control ===
--- 
+++ 
@@ -1,22 +1,22 @@
 Source: osmo-iuh
 Section: libs
 Priority: optional
-Maintainer: Thorsten Alteholz <debian@alteholz.de>
-#Maintainer: Debian Mobcom Maintainers <Debian-mobcom-maintainers@lists.alioth.debian.org>
-#Uploaders: Thorsten Alteholz <debian@alteholz.de>
+Maintainer: Debian Mobcom Maintainers <Debian-mobcom-maintainers@lists.alioth.debian.org>
+Uploaders: Thorsten Alteholz <debian@alteholz.de>,
+           Ruben Undheim <ruben.undheim@gmail.com>
 Build-Depends: debhelper (>=11)
 #	, dh-autoreconf
 	, pkg-config
 	, autoconf
 	, automake
 	, libtool
-	, osmo-libasn1c-dev
+	, osmo-libasn1c-dev (>= 0.9.30)
 	, libsctp-dev
-	, libosmocore-dev
-	, libosmo-netif-dev
-	, libosmo-sigtran-dev (>= 0.8.0)
+	, libosmocore-dev (>= 0.11.0)
+	, libosmo-netif-dev (>= 0.2.0)
+	, libosmo-sigtran-dev (>= 0.9.0)
 	, python (>= 2.7)
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/debian-mobcom-team/osmo-iuh
 Vcs-Git: https://salsa.debian.org/debian-mobcom-team/osmo-iuh.git
 Homepage: https://projects.osmocom.org/projects/osmohnbgw
@@ -34,7 +34,7 @@
  regular IuCS and IuPS towards MSC and SGSN (such as OsmoMSC
  and OsmoSGSN). It uses M3UA as signaling transport.
 
-Package: libosmo-ranap1
+Package: libosmo-ranap2
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -54,7 +54,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libosmo-ranap1 (= ${binary:Version}), ${misc:Depends}
+Depends: libosmo-ranap2 (= ${binary:Version}), ${misc:Depends}
 Description: Osmocom code for the Iuh interface (HNBAP, RUA, RANAP), development
  RANAP (an acronym for Radio Access Network Application Part) is a protocol
  specified by 3GPP in TS 25.413 and used in UMTS for signaling between the
@@ -65,4 +65,3 @@
  interface.
  .
  This package provides the development files.
-
