=== debian/watch ===
version=4
opts="mode=git, dversionmangle=s/\+ds//" https://git.osmocom.org/osmo-iuh refs/tags/([\d\.]+) debian uupdate
