## osmo-iuh 0.6.0.1.c593

=== debian/changelog ===
osmo-iuh (0.6.0.1.c593) UNRELEASED; urgency=medium

  * Snapshot build

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Thu, 27 Feb 2020 01:28:17 +0000
