=== debian/control ===
Source: osmo-iuh
Section: libs
Priority: extra
Maintainer: Alexander Couzens <lynxis@fe80.eu>
Build-Depends: debhelper (>=9),
               dh-autoreconf,
               pkg-config,
               autoconf,
               automake,
               libtool,
               git,
               libasn1c-dev,
               libsctp-dev,
               libosmocore-dev (>= 0.12.0),
               libosmo-netif-dev (>= 0.3.0),
               libosmo-sigtran-dev (>= 0.10.0),
               python3
Standards-Version: 3.9.8
Vcs-Git: git://git.osmocom.org/osmo-iuh.git
Vcs-Browser: https://git.osmocom.org/osmo-iuh/
Homepage: https://projects.osmocom.org/projects/osmohnbgw

Package: osmo-hnbgw
Section: net
Architecture: any
Multi-Arch: no
Pre-Depends: ${misc:Pre-Depends}
Depends: osmocom-nightly, ${misc:Depends}, ${shlibs:Depends}
Description: osmocom Home Node B Gateway

Package: osmo-hnbgw-dbg
Section: debug
Architecture: any
Multi-Arch: no
Pre-Depends: ${misc:Pre-Depends}
Depends: osmocom-nightly, osmo-hnbgw (= ${binary:Version}), ${misc:Depends}
Description: osmocom Home Node B Gateway

Package: libosmo-ranap3
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: osmocom-nightly, ${misc:Depends}, ${shlibs:Depends}
Description: Osmocom code for the Iuh interface (HNBAP, RUA, RANAP)

Package: libosmo-ranap-dbg
Section: debug
Architecture: any
Multi-Arch: same
Depends: osmocom-nightly, libosmo-ranap3 (= ${binary:Version}), ${misc:Depends}
Description: Osmocom code for the Iuh interface (HNBAP, RUA, RANAP)

Package: libosmo-ranap-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: osmocom-nightly, libosmo-ranap3 (= ${binary:Version}), ${misc:Depends}
Description: Osmocom code for the Iuh interface (HNBAP, RUA, RANAP)

Package: libosmo-sabp0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: osmocom-nightly, ${misc:Depends}, ${shlibs:Depends}
Description: Osmocom code for the Iuh interface (SABP)

Package: libosmo-sabp-dbg
Section: debug
Architecture: any
Multi-Arch: same
Depends: osmocom-nightly, libosmo-sabp0 (= ${binary:Version}), ${misc:Depends}
Description: Osmocom code for the Iuh interface (SABP)

Package: libosmo-sabp-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: osmocom-nightly, libosmo-sabp0 (= ${binary:Version}), ${misc:Depends}
Description: Osmocom code for the Iuh interface (SABP)
