## osmo-iuh 0.6.1

=== debian/changelog ===
osmo-iuh (0.6.1) unstable; urgency=medium

  * Fix compilation with gcc-10

 -- Harald Welte <laforge@osmocom.org>  Sun, 26 Jul 2020 14:18:48 +0200
