=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
 Architecture: any
 Multi-Arch: no
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly, ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-latest, ${misc:Depends}, ${shlibs:Depends}
 Description: osmocom Home Node B Gateway
 
 Package: osmo-hnbgw-dbg
@@ -33,7 +33,7 @@
 Architecture: any
 Multi-Arch: no
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly, osmo-hnbgw (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-latest, osmo-hnbgw (= ${binary:Version}), ${misc:Depends}
 Description: osmocom Home Node B Gateway
 
 Package: libosmo-ranap3
@@ -41,21 +41,21 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly, ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-latest, ${misc:Depends}, ${shlibs:Depends}
 Description: Osmocom code for the Iuh interface (HNBAP, RUA, RANAP)
 
 Package: libosmo-ranap-dbg
 Section: debug
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly, libosmo-ranap3 (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-latest, libosmo-ranap3 (= ${binary:Version}), ${misc:Depends}
 Description: Osmocom code for the Iuh interface (HNBAP, RUA, RANAP)
 
 Package: libosmo-ranap-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly, libosmo-ranap3 (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-latest, libosmo-ranap3 (= ${binary:Version}), ${misc:Depends}
 Description: Osmocom code for the Iuh interface (HNBAP, RUA, RANAP)
 
 Package: libosmo-sabp0
@@ -63,19 +63,19 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly, ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-latest, ${misc:Depends}, ${shlibs:Depends}
 Description: Osmocom code for the Iuh interface (SABP)
 
 Package: libosmo-sabp-dbg
 Section: debug
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly, libosmo-sabp0 (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-latest, libosmo-sabp0 (= ${binary:Version}), ${misc:Depends}
 Description: Osmocom code for the Iuh interface (SABP)
 
 Package: libosmo-sabp-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly, libosmo-sabp0 (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-latest, libosmo-sabp0 (= ${binary:Version}), ${misc:Depends}
 Description: Osmocom code for the Iuh interface (SABP)
