## osmo-iuh 0.6.1+dfsg1

=== debian/changelog ===
osmo-iuh (0.6.1+dfsg1-2build2) jammy; urgency=medium

  * Rebuild against new libosmocore16.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 21 Mar 2022 02:57:39 +0100

osmo-iuh (0.6.1+dfsg1-2build1) jammy; urgency=medium

  * No-change rebuild against libosmocore18

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 21 Mar 2022 00:07:00 +0000

osmo-iuh (0.6.1+dfsg1-2) unstable; urgency=medium

  * upload to unstable
  * mark test as superficial (Closes: #971488)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 12 Dec 2020 17:04:14 +0100

osmo-iuh (0.6.1+dfsg1-1) experimental; urgency=medium

  * New upstream release

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 19 Aug 2020 19:04:14 +0000

osmo-iuh (0.3.0-6) unstable; urgency=medium

  * add patch for gcc10 (Closes: #957652)
    Thanks to Harald Welte for the patch
  * convert asn1tostruct.py to python3 (Closes: #967190)
  * debian/control: bump standard to 4.5.0 (no changes)
  * debian/control: use dh12

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 05 Aug 2020 20:51:19 +0200
