## osmo-iuh 1.1.0

=== debian/changelog ===
osmo-iuh (1.1.0) unstable; urgency=medium

  * gitignore: Ignore libsmo-{hnbap,rua}.pc

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Wed, 17 Nov 2021 11:56:26 +0100

osmo-iuh (0.8.0) unstable; urgency=medium

  [ Harald Welte ]
  * hnbgw: Add missing break statement

  [ Pau Espin Pedrol ]
  * iu_client: Log event sent to upper layer callback
  * ranap_iu_tx_release_free(): always trigger RANAP_IU_EVENT_IU_RELEASE as a result
  * hnb-test: Fix typo in vty cmd description
  *  cosmetic: src/ranap/Makefile.am: Drop trailing whitespace
  * src/tests/Makefile.am: Drop reference to non-existent RANAP_FILES var
  * src/*/Makefile.am: Fix trailing whitespace
  * Provide libosmo-hnbap as a public shared library
  * Provide libosmo-rua as a public shared library
  * move-asn1-header-files.sh: Replace original asn file path in generated asn1 header files
  * README.md: Document how to re-generate code from ASN1 files
  * hnbgw_rua.c: Use proper type struct
  * hnbgw_cn.c: Use proper type struct
  * hnb-test: Fix rc var may be used uninitialized
  * src/*/Makefile.am: Copy back to srcdir the generated .c files from ASN
  * src/*/Makefile.am: Use asn1c -R to avoid generating runtime code
  * Update generated .c/.h after using asn1c -R param
  * hnbap: Use specific prefix for HNBAP generated code
  * hnbap: Drop no longer existing asn1c param -fnative-types
  * hnbap: Use asn1c flag -fcompound-names to avoid name collisions with other libs
  * rua: Use asn1c flag -fcompound-names to avoid name collisions with other libs
  * sabp: Use asn1c flag -fcompound-names to avoid name collisions with other libs
  * ranap: Use asn1c flag -fcompound-names to avoid name collisions with other libs
  * hnb-test: Fix memleak in hnb_read_cb

  [ Oliver Smith ]
  * contrib/osmo-iuh.spec.in: fix header packaging
  * contrib/osmo-iuh.spec: fix missing ldconfig lines
  * Cosmetic: put asn1c parameters in separate lines

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Tue, 16 Nov 2021 17:13:09 +0100

osmo-iuh (0.7.0) unstable; urgency=medium

  [ Martin Hauke ]
  * tests: Missing return statement

  [ Pau Espin Pedrol ]
  * tests/hnb-test-ranap.c: Fix wrong printf format
  * tests/test-ranap.c: Fix wrong printf format
  * Fix compiler warning on signedness of char ptr using OCTET_STRING_fromBuf()
  * hnbgw_vty.c: Drop unusued variables
  * tests: Fix trailing whitespace
  * Fix OneDefinitionRule Asan violation in tests and osmo-hnbgw
  * Change default SCTP conn NULL->127.0.0.1 to localhost->localhost
  * hnbgw: Mark SCTP conn as NODELAY
  * contrib/jenkins: Enable parallel make in make distcheck
  * tests/hnb-test-ranap: Fix incorrect pointer type cast
  * tests/hnb-test: Drop unused variables
  * tests/hnb-test: Fix signedness of imsi_buf
  * tests/hnb-test: check return code of hnbap_encode_ueregisterrequesties
  * tests/hnb-test-ranap: Fix incorrect signedness in pointer
  * tests/hnb-test-ranap: Fix missing include for ranap_bcd_decode
  * tests/hnb-test: Fix uninitialized use of rc variable
  * tests/hnb-test: Fix signedness of assigned pointer
  * tests/hnb-test: Initialize logging with existing struct log_info
  * tests/hnb-test: Disable building unsued code
  * tests: Explicitly drop category from log
  * tests: Replace deprecated API log_set_print_filename
  * hnbgw: Avoid re-defining same global variable twice
  * Workaround ASan report memleak during call to --vty-ref-xml

  [ Neels Hofmeyr ]
  * manual: add "Configuring Primary Links" and "Multiple instances"
  * manual: link to new common cs7-config.adoc

  [ Vadim Yanitskiy ]
  * tests/test-helpers: fix some -Wpointer-sign warnings reported by GCC
  * tests/test-helpers: fix endianness: do not print uint32_t as raw bytes
  * tests/test-ranap: cosmetic: remove unused variable 'rc'
  * debian/control: change maintainer to the Osmocom team / mailing list
  * vty: use install_lib_element() and install_lib_element_ve()

  [ Eric ]
  * configure.ac: fix libtool issue  with clang and sanitizer

  [ Philipp Maier ]
  * hnbgw: do not use LOGL_DEBUG as default loglevel

  [ Harald Welte ]
  * Fix compilation with gcc-10
  * Provide more context when logging "Error in ANY_fromType_aper"
  * hnbgw: use OSMO_STRLCPY_ARRAY() instead of open coding it
  * hnbgw: Introduce LOGHNB() macro for log context information
  * debian: Actually build manuals; add osmo-hnbgw-doc package
  * configure.ac: Ensure netinet/sctp.h is present
  * hnbgw: Use LOGHNB() to add log context information to log lines
  * ranap_msg_factory: Allow detailed control over UEA/UIA algorithm encoded
  * ranap_msg_factory: Fix LOGP statements
  * main: add --vty-ref-mode, use vty_dump_xml_ref_mode()
  * manuals: generate vty reference xml at build time

  [ Oliver Smith ]
  * contrib: import RPM spec
  * contrib: integrate RPM spec
  * Makefile.am: EXTRA_DIST: debian, contrib/*.spec.in
  * contrib/jenkins: don't build osmo-gsm-manuals
  * configure.ac: set -std=gnu11

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Tue, 23 Feb 2021 20:11:59 +0100
