=== debian/control ===
--- 
+++ 
@@ -11,10 +11,10 @@
                git,
                libasn1c-dev,
                libsctp-dev,
-               libosmocore-dev (>= 0.12.0),
-               libosmo-netif-dev (>= 0.3.0),
-               libosmo-sigtran-dev (>= 0.10.0),
-               osmo-gsm-manuals-dev (>= 1.0.0),
+               libosmocore-dev (>= 1.5.0),
+               libosmo-netif-dev (>= 1.1.0),
+               libosmo-sigtran-dev (>= 1.4.0),
+               osmo-gsm-manuals-dev (>= 1.1.0),
                python3
 Standards-Version: 3.9.8
 Vcs-Git: git://git.osmocom.org/osmo-iuh.git
@@ -45,7 +45,29 @@
   Various manuals: user manual, VTY reference manual and/or
   protocol/interface manuals.
 
-Package: libosmo-ranap3
+Package: libosmo-hnbap0
+Section: libs
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: osmocom-latest, ${misc:Depends}, ${shlibs:Depends}
+Description: Osmocom code for the Iuh interface (HNBAP, RUA, RANAP)
+
+Package: libosmo-hnbap-dbg
+Section: debug
+Architecture: any
+Multi-Arch: same
+Depends: osmocom-latest, libosmo-hnbap0 (= ${binary:Version}), ${misc:Depends}
+Description: Osmocom code for the Iuh interface (HNBAP, RUA, RANAP)
+
+Package: libosmo-hnbap-dev
+Section: libdevel
+Architecture: any
+Multi-Arch: same
+Depends: osmocom-latest, libosmo-hnbap0 (= ${binary:Version}), ${misc:Depends}
+Description: Osmocom code for the Iuh interface (HNBAP, RUA, RANAP)
+
+Package: libosmo-ranap5
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -57,17 +79,39 @@
 Section: debug
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-latest, libosmo-ranap3 (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-latest, libosmo-ranap5 (= ${binary:Version}), ${misc:Depends}
 Description: Osmocom code for the Iuh interface (HNBAP, RUA, RANAP)
 
 Package: libosmo-ranap-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-latest, libosmo-ranap3 (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-latest, libosmo-ranap5 (= ${binary:Version}), ${misc:Depends}
 Description: Osmocom code for the Iuh interface (HNBAP, RUA, RANAP)
 
-Package: libosmo-sabp0
+Package: libosmo-rua0
+Section: libs
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: osmocom-latest, ${misc:Depends}, ${shlibs:Depends}
+Description: Osmocom code for the Iuh interface (HNBAP, RUA, RANAP)
+
+Package: libosmo-rua-dbg
+Section: debug
+Architecture: any
+Multi-Arch: same
+Depends: osmocom-latest, libosmo-rua0 (= ${binary:Version}), ${misc:Depends}
+Description: Osmocom code for the Iuh interface (HNBAP, RUA, RANAP)
+
+Package: libosmo-rua-dev
+Section: libdevel
+Architecture: any
+Multi-Arch: same
+Depends: osmocom-latest, libosmo-rua0 (= ${binary:Version}), ${misc:Depends}
+Description: Osmocom code for the Iuh interface (HNBAP, RUA, RANAP)
+
+Package: libosmo-sabp1
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -79,12 +123,12 @@
 Section: debug
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-latest, libosmo-sabp0 (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-latest, libosmo-sabp1 (= ${binary:Version}), ${misc:Depends}
 Description: Osmocom code for the Iuh interface (SABP)
 
 Package: libosmo-sabp-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-latest, libosmo-sabp0 (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-latest, libosmo-sabp1 (= ${binary:Version}), ${misc:Depends}
 Description: Osmocom code for the Iuh interface (SABP)
