=== debian/control ===
--- 
+++ 
@@ -20,30 +20,6 @@
 Vcs-Git: git://git.osmocom.org/osmo-iuh.git
 Vcs-Browser: https://git.osmocom.org/osmo-iuh/
 Homepage: https://projects.osmocom.org/projects/osmohnbgw
-
-Package: osmo-hnbgw
-Section: net
-Architecture: any
-Multi-Arch: no
-Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-latest, ${misc:Depends}, ${shlibs:Depends}
-Description: osmocom Home Node B Gateway
-
-Package: osmo-hnbgw-dbg
-Section: debug
-Architecture: any
-Multi-Arch: no
-Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-latest, osmo-hnbgw (= ${binary:Version}), ${misc:Depends}
-Description: osmocom Home Node B Gateway
-
-Package: osmo-hnbgw-doc
-Section: doc
-Architecture: all
-Depends: osmocom-latest, ${misc:Depends}
-Description: ${misc:Package} PDF documentation
-  Various manuals: user manual, VTY reference manual and/or
-  protocol/interface manuals.
 
 Package: libosmo-hnbap0
 Section: libs
