=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,6 @@
 	dh_strip -plibosmo-ranap5 --dbg-package=libosmo-ranap-dbg
 	dh_strip -plibosmo-rua0 --dbg-package=libosmo-rua-dbg
 	dh_strip -plibosmo-sabp1 --dbg-package=libosmo-sabp-dbg
-	dh_strip -posmo-hnbgw --dbg-package=osmo-hnbgw-dbg
 
 # Print test results in case of a failure
 override_dh_auto_test:
